<html>
<head>
<title>Ogre::RaySceneQueryListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RaySceneQueryListener.html">RaySceneQueryListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RaySceneQueryListener Class Reference<div class="ingroups"><a class="el" href="group__Scene.html">Scene</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RaySceneQueryListener" -->
<p>Alternative listener class for dealing with <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a>.  
 <a href="classOgre_1_1RaySceneQueryListener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RaySceneQueryListener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RaySceneQueryListener__inherit__graph.gif" border="0" usemap="#Ogre_1_1RaySceneQueryListener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RaySceneQueryListener_inherit__map" id="Ogre_1_1RaySceneQueryListener_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray." alt="" coords="28,83,183,112"/><area shape="rect" id="node5" href="classOgre_1_1DefaultRaySceneQuery.html" title="Default implementation of RaySceneQuery." alt="" coords="8,160,203,189"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RaySceneQueryListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQueryListener.html#a055ea5aff0165926892ad74289d2f73c">~RaySceneQueryListener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQueryListener.html#ac3c09aba6b71ca28d721be30ed8f06ed">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *obj, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> distance)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a movable objects intersects the ray.  <a href="#ac3c09aba6b71ca28d721be30ed8f06ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQueryListener.html#a7c390bfdec4a3e7eaf0491d8cc7b6d3c">queryResult</a> (<a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *fragment, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> distance)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a world fragment is intersected by the ray.  <a href="#a7c390bfdec4a3e7eaf0491d8cc7b6d3c"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Alternative listener class for dealing with <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Because the <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a> returns results in an extra bit of information, namely distance, the listener interface must be customised from the standard <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions instead of ...">SceneQueryListener</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00334">334</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a055ea5aff0165926892ad74289d2f73c"></a><!-- doxytag: member="Ogre::RaySceneQueryListener::~RaySceneQueryListener" ref="a055ea5aff0165926892ad74289d2f73c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RaySceneQueryListener.html#a055ea5aff0165926892ad74289d2f73c">Ogre::RaySceneQueryListener::~RaySceneQueryListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00337">337</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac3c09aba6b71ca28d721be30ed8f06ed"></a><!-- doxytag: member="Ogre::RaySceneQueryListener::queryResult" ref="ac3c09aba6b71ca28d721be30ed8f06ed" args="(MovableObject *obj, Real distance)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1RaySceneQueryListener.html#ac3c09aba6b71ca28d721be30ed8f06ed">Ogre::RaySceneQueryListener::queryResult</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>distance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when a movable objects intersects the ray. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>As with <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions instead of ...">SceneQueryListener</a>, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1RaySceneQuery.html#a88c9810df53d94b893bc5aef885d14a1">Ogre::RaySceneQuery</a>.</p>

</div>
</div>
<a class="anchor" id="a7c390bfdec4a3e7eaf0491d8cc7b6d3c"></a><!-- doxytag: member="Ogre::RaySceneQueryListener::queryResult" ref="a7c390bfdec4a3e7eaf0491d8cc7b6d3c" args="(SceneQuery::WorldFragment *fragment, Real distance)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1RaySceneQueryListener.html#ac3c09aba6b71ca28d721be30ed8f06ed">Ogre::RaySceneQueryListener::queryResult</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&#160;</td>
          <td class="paramname"><em>fragment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>distance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when a world fragment is intersected by the ray. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>As with <a class="el" href="classOgre_1_1SceneQueryListener.html" title="This optional class allows you to receive per-result callbacks from SceneQuery executions instead of ...">SceneQueryListener</a>, the implementor of this method should return 'true' if further results are required, or 'false' to abandon any further results from the current query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1RaySceneQuery.html#abd5211784dd04e0e0705fe21d43cb900">Ogre::RaySceneQuery</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
